# server

Specifies the address of the ClickHouse server that receives events from this action.

This parameter applies to omclickhouse: ClickHouse Output Module.

Name:

  server

Scope:

  input

Type:

  word

Default:

  localhost

Required?:

  no

Introduced:

  not specified

## Description

The address of a ClickHouse server.

## Input usage

    module(load="omclickhouse")
    action(type="omclickhouse" server="clickhouse.example.com")

## See also

See also omclickhouse: ClickHouse Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.